# vim: set ts=4 sw=4 et:

Name:           dxirc
Version:        0.90.0
Release:        1.1
Summary:        A simple IRC client
License:        GPLv3
Group:          Productivity/Networking/IRC
URL:            http://www.dxirc.org/
Source0:        http://dxirc.googlecode.com/files/dxirc-%{version}.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-buildroot
BuildRequires:  fox16-devel gcc-c++ lua-devel update-desktop-files

%description
Dxirc is simple IRC client. dxirc is desktop independent and is written with
the C++ Fox Toolkit.

%prep
%setup -q

%build
%configure --with-included-gettext --enable-release
%__make %{?_smp_flags}

%install
%makeinstall
%__rm -rf %{buildroot}/%{_datadir}/locale/locale.alias
%find_lang %{name}

%suse_update_desktop_file -r %{name} Network IRCClient

%clean
%{?buildroot:%__rm -rf "%{buildroot}"}

%files -f %{name}.lang
%defattr(-,root,root,-)
%{_bindir}/%{name}
%{_datadir}/applications/%{name}.desktop
%dir %{_datadir}/%{name}
%{_datadir}/%{name}/COPYING
%dir %{_datadir}/%{name}/icons
%{_datadir}/%{name}/icons/*.png
%dir %{_datadir}/%{name}/icons/default
%{_datadir}/%{name}/icons/default/*.png
%dir %{_datadir}/%{name}/icons/flags
%{_datadir}/%{name}/icons/flags/*.png
%dir %{_datadir}/%{name}/icons/smileys
%{_datadir}/%{name}/icons/smileys/*.png
%{_datadir}/%{name}/icons/smileys/*.smiley
%{_datadir}/pixmaps/%{name}.png
%dir %{_datadir}/%{name}/sounds
%{_datadir}/%{name}/sounds/*.wav

%changelog
* Sun Oct 23 2011 pascal.bleser@opensuse.org
- update to 0.90.0:
  * add option for unlimited reconnect attempts
  * add "Open in a web browser" and "Copy the link" into dxtext popup menu
  * add option for sort nick list by user mode
  * improvement in ConfigDialog
  * add new command "LOG"
  * add option disable sort tabs and keybindings for move tab up and down
  * add Slovak translation
* Wed Sep 14 2011 detlef@links2linux.de
- initial build for PackMan <0.80.0>
